/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.artifacts.sinfo.predefinedtkh;

import org.dive4elements.river.artifacts.D4EArtifact;
import org.dive4elements.river.artifacts.access.RangeAccess;

/**
 * Access to the database loaded tkh column artifact data
 *
 * @author Matthias Schäfer
 */
final class PredefinedTkhColumnAccess extends RangeAccess {

    /***** FIELDS *****/

    private Integer columnId;

    private Integer tkhId;

    private String name;

    /***** CONSTRUCTORS *****/

    public PredefinedTkhColumnAccess(final D4EArtifact artifact) {
        super(artifact);
    }

    /***** METHDOS *****/

    public Integer getTkhId() {
        if (this.tkhId == null) {
            this.tkhId = getInteger("tkh_id");
        }
        return this.columnId;
    }

    public Integer getColumnId() {
        if (this.columnId == null) {
            this.columnId = getInteger("tkh_col_id");
        }
        return this.columnId;
    }

    public String getName() {
        if (this.name == null) {
            this.name = getString("name");
        }
        return this.name;
    }
}